Kinetica   C#   API  Version 7.2.3.1
ExecuteSqlRequest.Options Struct Reference

A set of string constants for the parameter options. More...

Public Attributes

const string COST_BASED_OPTIMIZATION = "cost_based_optimization"
 If FALSE, disables the cost-based optimization of the given query. More...
 
const string TRUE = "true"
 
const string FALSE = "false"
 
const string DISTRIBUTED_JOINS = "distributed_joins"
 If TRUE, enables the use of distributed joins in servicing the given query. More...
 
const string DISTRIBUTED_OPERATIONS = "distributed_operations"
 If TRUE, enables the use of distributed operations in servicing the given query. More...
 
const string IGNORE_EXISTING_PK = "ignore_existing_pk"
 Specifies the record collision error-suppression policy for inserting into or updating a table with a primary key, only used when primary key record collisions are rejected (UPDATE_ON_EXISTING_PK is FALSE). More...
 
const string LATE_MATERIALIZATION = "late_materialization"
 If TRUE, Joins/Filters results will always be materialized ( saved to result tables format). More...
 
const string PAGING_TABLE = "paging_table"
 When specified (or PAGING_TABLE_TTL is set), the system will create a paging table to hold the results of the query, when the output has more records than are in the response (i.e., when has_more_records is TRUE). More...
 
const string PAGING_TABLE_TTL = "paging_table_ttl"
 Sets the TTL of the paging table. More...
 
const string PARALLEL_EXECUTION = "parallel_execution"
 If FALSE, disables the parallel step execution of the given query. More...
 
const string PLAN_CACHE = "plan_cache"
 If FALSE, disables plan caching for the given query. More...
 
const string PREPARE_MODE = "prepare_mode"
 If TRUE, compiles a query into an execution plan and saves it in query cache. More...
 
const string PRESERVE_DICT_ENCODING = "preserve_dict_encoding"
 If TRUE, then columns that were dict encoded in the source table will be dict encoded in the projection table. More...
 
const string QUERY_PARAMETERS = "query_parameters"
 Query parameters in JSON array or arrays (for inserting multiple rows). More...
 
const string RESULTS_CACHING = "results_caching"
 If FALSE, disables caching of the results of the given query. More...
 
const string RULE_BASED_OPTIMIZATION = "rule_based_optimization"
 If FALSE, disables rule-based rewrite optimizations for the given query. More...
 
const string SSQ_OPTIMIZATION = "ssq_optimization"
 If FALSE, scalar subqueries will be translated into joins. More...
 
const string TTL = "ttl"
 Sets the TTL of the intermediate result tables used in query execution. More...
 
const string UPDATE_ON_EXISTING_PK = "update_on_existing_pk"
 Specifies the record collision policy for inserting into or updating a table with a primary key. More...
 
const string VALIDATE_CHANGE_COLUMN = "validate_change_column"
 When changing a column using alter table, validate the change before applying it. More...
 
const string CURRENT_SCHEMA = "current_schema"
 Use the supplied value as the default schema when processing this SQL command. More...
 

Detailed Description

A set of string constants for the parameter options.

Optional parameters.

Definition at line 52 of file ExecuteSql.cs.

Member Data Documentation

◆ COST_BASED_OPTIMIZATION

const string ExecuteSqlRequest.Options.COST_BASED_OPTIMIZATION = "cost_based_optimization"

If FALSE, disables the cost-based optimization of the given query.

Supported values:

The default value is FALSE.

Definition at line 67 of file ExecuteSql.cs.

◆ CURRENT_SCHEMA

const string ExecuteSqlRequest.Options.CURRENT_SCHEMA = "current_schema"

Use the supplied value as the default schema when processing this SQL command.

Definition at line 334 of file ExecuteSql.cs.

◆ DISTRIBUTED_JOINS

const string ExecuteSqlRequest.Options.DISTRIBUTED_JOINS = "distributed_joins"

If TRUE, enables the use of distributed joins in servicing the given query.

Supported values:

The default value is FALSE.

Definition at line 85 of file ExecuteSql.cs.

◆ DISTRIBUTED_OPERATIONS

const string ExecuteSqlRequest.Options.DISTRIBUTED_OPERATIONS = "distributed_operations"

If TRUE, enables the use of distributed operations in servicing the given query.

Supported values:

The default value is FALSE.

Definition at line 100 of file ExecuteSql.cs.

◆ FALSE

const string ExecuteSqlRequest.Options.FALSE = "false"

Definition at line 70 of file ExecuteSql.cs.

◆ IGNORE_EXISTING_PK

const string ExecuteSqlRequest.Options.IGNORE_EXISTING_PK = "ignore_existing_pk"

Specifies the record collision error-suppression policy for inserting into or updating a table with a primary key, only used when primary key record collisions are rejected (UPDATE_ON_EXISTING_PK is FALSE).

Supported values:

  • TRUE: Ignore inserts/updates that result in primary key collisions with existing records.
  • FALSE: Treat as errors any inserts/updates that result in primary key collisions with existing records.

The default value is FALSE.

Definition at line 125 of file ExecuteSql.cs.

◆ LATE_MATERIALIZATION

const string ExecuteSqlRequest.Options.LATE_MATERIALIZATION = "late_materialization"

If TRUE, Joins/Filters results will always be materialized ( saved to result tables format).

Supported values:

The default value is FALSE.

Definition at line 141 of file ExecuteSql.cs.

◆ PAGING_TABLE

const string ExecuteSqlRequest.Options.PAGING_TABLE = "paging_table"

When specified (or PAGING_TABLE_TTL is set), the system will create a paging table to hold the results of the query, when the output has more records than are in the response (i.e., when has_more_records is TRUE).

If the specified paging table exists, the records from the paging table are returned without re-evaluating the query. It is the caller's responsibility to clear the paging_table and other tables in the RESULT_TABLE_LIST (both returned in the response) when they are done with this query.

Definition at line 159 of file ExecuteSql.cs.

◆ PAGING_TABLE_TTL

const string ExecuteSqlRequest.Options.PAGING_TABLE_TTL = "paging_table_ttl"

Sets the TTL of the paging table.

-1 indicates no timeout. Setting this option will cause a paging table to be generated when needed. The paging_table and other tables in the RESULT_TABLE_LIST (both returned in the response) will be automatically cleared after the TTL expires, if set to a positive number. However, it is still recommended that the caller clear these tables when they are done with this query.

Definition at line 172 of file ExecuteSql.cs.

◆ PARALLEL_EXECUTION

const string ExecuteSqlRequest.Options.PARALLEL_EXECUTION = "parallel_execution"

If FALSE, disables the parallel step execution of the given query.

Supported values:

The default value is TRUE.

Definition at line 187 of file ExecuteSql.cs.

◆ PLAN_CACHE

const string ExecuteSqlRequest.Options.PLAN_CACHE = "plan_cache"

If FALSE, disables plan caching for the given query.

Supported values:

The default value is TRUE.

Definition at line 202 of file ExecuteSql.cs.

◆ PREPARE_MODE

const string ExecuteSqlRequest.Options.PREPARE_MODE = "prepare_mode"

If TRUE, compiles a query into an execution plan and saves it in query cache.

Supported values:

The default value is FALSE.

Definition at line 217 of file ExecuteSql.cs.

◆ PRESERVE_DICT_ENCODING

const string ExecuteSqlRequest.Options.PRESERVE_DICT_ENCODING = "preserve_dict_encoding"

If TRUE, then columns that were dict encoded in the source table will be dict encoded in the projection table.

Supported values:

The default value is TRUE.

Definition at line 233 of file ExecuteSql.cs.

◆ QUERY_PARAMETERS

const string ExecuteSqlRequest.Options.QUERY_PARAMETERS = "query_parameters"

Query parameters in JSON array or arrays (for inserting multiple rows).

This can be used instead of data and request_schema_str.

Definition at line 239 of file ExecuteSql.cs.

◆ RESULTS_CACHING

const string ExecuteSqlRequest.Options.RESULTS_CACHING = "results_caching"

If FALSE, disables caching of the results of the given query.

Supported values:

The default value is TRUE.

Definition at line 254 of file ExecuteSql.cs.

◆ RULE_BASED_OPTIMIZATION

const string ExecuteSqlRequest.Options.RULE_BASED_OPTIMIZATION = "rule_based_optimization"

If FALSE, disables rule-based rewrite optimizations for the given query.

Supported values:

The default value is TRUE.

Definition at line 269 of file ExecuteSql.cs.

◆ SSQ_OPTIMIZATION

const string ExecuteSqlRequest.Options.SSQ_OPTIMIZATION = "ssq_optimization"

If FALSE, scalar subqueries will be translated into joins.

Supported values:

The default value is TRUE.

Definition at line 284 of file ExecuteSql.cs.

◆ TRUE

const string ExecuteSqlRequest.Options.TRUE = "true"

Definition at line 69 of file ExecuteSql.cs.

◆ TTL

const string ExecuteSqlRequest.Options.TTL = "ttl"

Sets the TTL of the intermediate result tables used in query execution.

Definition at line 289 of file ExecuteSql.cs.

◆ UPDATE_ON_EXISTING_PK

const string ExecuteSqlRequest.Options.UPDATE_ON_EXISTING_PK = "update_on_existing_pk"

Specifies the record collision policy for inserting into or updating a table with a primary key.

Supported values:

  • TRUE: Replace the collided-into record with the record inserted or updated when a new/modified record causes a primary key collision with an existing record.
  • FALSE: Reject the insert or update when it results in a primary key collision with an existing record.

The default value is FALSE.

Definition at line 313 of file ExecuteSql.cs.

◆ VALIDATE_CHANGE_COLUMN

const string ExecuteSqlRequest.Options.VALIDATE_CHANGE_COLUMN = "validate_change_column"

When changing a column using alter table, validate the change before applying it.

Supported values:

The default value is TRUE.

Definition at line 328 of file ExecuteSql.cs.


The documentation for this struct was generated from the following file: